## ephy-password-manager

ephy-password-manager —

## Synopsis

    #define     EPHY_PASSWORD_MANAGER_IFACE     (k)
    #define     EPHY_IS_PASSWORD_MANAGER_IFACE  (k)
    #define     EPHY_TYPE_PASSWORD_INFO
    EphyPasswordInfo* ephy_password_info_new    (const char *host,
                                                 const char *username,
                                                 const char *password);
    EphyPasswordInfo* ephy_password_info_copy   (const EphyPasswordInfo *info);
    void        ephy_password_info_free         (EphyPasswordInfo *info);
    GType       ephy_password_manager_get_type  (void);
    void        ephy_password_manager_add       (EphyPasswordManager *manager,
                                                 EphyPasswordInfo *info);
    void        ephy_password_manager_remove    (EphyPasswordManager *manager,
                                                 EphyPasswordInfo *info);
    GList*      ephy_password_manager_list      (EphyPasswordManager *manager);

## Description

## Details

### EPHY_PASSWORD_MANAGER_IFACE()

    #define     EPHY_PASSWORD_MANAGER_IFACE(k)

`k` : |

### EPHY_IS_PASSWORD_MANAGER_IFACE()

    #define     EPHY_IS_PASSWORD_MANAGER_IFACE(k)

`k` : |

### EPHY_TYPE_PASSWORD_INFO

    #define     EPHY_TYPE_PASSWORD_INFO

### ephy_password_info_new ()

    EphyPasswordInfo* ephy_password_info_new    (const char *host,
                                                 const char *username,
                                                 const char *password);

Generates a new EphyPasswordInfo.

`host` : |
`username` : |
`password` : |
Returns : |

### ephy_password_info_copy ()

    EphyPasswordInfo* ephy_password_info_copy   (const EphyPasswordInfo *info);

`info` : |
Returns : |

### ephy_password_info_free ()

    void        ephy_password_info_free         (EphyPasswordInfo *info);

Frees `info`.

`info` : |

### ephy_password_manager_get_type ()

    GType       ephy_password_manager_get_type  (void);

Returns : |

### ephy_password_manager_add ()

    void        ephy_password_manager_add       (EphyPasswordManager *manager,
                                                 EphyPasswordInfo *info);

Adds the password entry `info` to the the passwords database.

`manager` : |
`info` : |

### ephy_password_manager_remove ()

    void        ephy_password_manager_remove    (EphyPasswordManager *manager,
                                                 EphyPasswordInfo *info);

Removes the password entry `info` from the passwords database.

`manager` : |
`info` : |

### ephy_password_manager_list ()

    GList*      ephy_password_manager_list      (EphyPasswordManager *manager);

Lists all password entries in the passwords database.

`manager` : |
Returns : |